#include <winsapi.h>

#include "tipme_icon_bin.h"

#ifndef __TIPME_H__
#define __TIPME_H__

#ifndef NULL
#define NULL        ((void *)(0))
#endif /* ! NULL */

#define WINDOW_XR               (100)       /* Width  of the window */
#define WINDOW_YR               (110)       /* Height of the window */
#define WINDOW_X                (WINDOW_XR + 5)
#define WINDOW_Y                (WINDOW_YR + 14 + 5)

#define MARGIN_X                (4)
#define MARGIN_Y                (4)

#define NUMBERLABEL_X           (MARGIN_X)
#define NUMBERLABEL_Y           (MARGIN_Y)
#define NUMBERLABEL_WIDTH       (40)
#define NUMBERLABEL_HEIGHT      (18)
#define NUMBERLABEL_SPACING     (2)

#define NUMBERBOX_X             (NUMBERLABEL_WIDTH + (MARGIN_X * 2))
#define NUMBERBOX_Y             (MARGIN_Y)
#define NUMBERBOX_WIDTH         (WINDOW_XR - NUMBERBOX_X - MARGIN_X)
#define NUMBERBOX_HEIGHT        (18)
#define NUMBERBOX_SPACING       (2)

#define NUMBERBUTTON_X          (MARGIN_X)
#define NUMBERBUTTON_Y          (MARGIN_Y)
#define NUMBERBUTTON_WIDTH      (WINDOW_XR - (MARGIN_X * 2))
#define NUMBERBUTTON_HEIGHT     (20)
#define NUMBERBUTTON_SPACING    (2)

#define NUMBERLIST_X            (MARGIN_X)
#define NUMBERLIST_Y            (MARGIN_Y)
#define NUMBERLIST_WIDTH        (WINDOW_XR - (MARGIN_X * 2))
#define NUMBERLIST_HEIGHT       (20)
#define NUMBERLIST_SPACING      (2)

#define CALCULATELIST_TOTAL     (0)
#define CALCULATELIST_PRICE     (1)
#define CALCULATELIST_TAX       (2)

/* Our Window class */
class wTipMeWindow : public CtlWindow
{
    private:
        CtlEditBox *origionalNumber;
        CtlEditBox *taxPercent;
        CtlEditBox *totalNumber;
        
        CtlButton *calculateTotal;
        
        CtlDropList *whatToCalculate;
        
    public:
        wTipMeWindow(Bbox b = Bbox(248 - WINDOW_X, 184 - WINDOW_Y, WINDOW_X, WINDOW_Y));
        ~wTipMeWindow();
        
        void HandleMessages();
};

#endif /* ! __TIPME_H__ */

/* EOF */
